Skip to main content
GET
/
api
/
v1
/
image-assets
List Image Assets
curl --request GET \
  --url https://api.passentry.com/api/v1/image-assets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "data": {
        "id": "19cb334f9696e64e10e7759f0",
        "type": "imageAsset",
        "attributes": {
          "name": "Silver tier banner",
          "imageType": "banner",
          "processingStatus": "pending",
          "size": {
            "width": 1125,
            "height": 432
          },
          "entityId": "a1b2c3d4",
          "createdAt": "2026-03-01T12:00:00Z",
          "url": "https://cdn.passentry.com/image-assets/99/553085/19cb334f9696e64e10e7759f0.png",
          "watermark": {
            "color": "light",
            "position": "bottomRight"
          }
        }
      }
    }
  ],
  "meta": {
    "totalCount": 123,
    "resultsPerPage": 123,
    "currentPage": 123,
    "totalPages": 123
  },
  "links": {
    "first": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

perPage
integer
default:25

Number of records per page. Default is 25, maximum is 100

page
integer
default:1

Page number

imageType
enum<string>

Filter by image type

Available options:
banner,
logo,
thumbnail
entityId
string

Filter by entity UUID. Only available for organisation-level API keys

Response

Successful

data
object[]
meta
object